## ros-indigo-mm-mux-demux 0.2.4

=== tests/CMakeLists.txt ===
##############################################################################
# Directories
##############################################################################

if(CATKIN_ENABLE_TESTING)
  add_subdirectory(gtests)
endif()

=== tests/gtests/CMakeLists.txt ===
###############################################################################
# Test Macro
###############################################################################

macro(message_mux_dmux_add_gtest test_name)
  set(target_name ${PROJECT_NAME}_test_${test_name})
  catkin_add_gtest(
      ${target_name}
      ${test_name}.cpp
      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
  )
  # If we don't have gtest installed, then the target doesn't get made - check!
  if(TARGET ${target_name})
      target_link_libraries(${target_name} ${PROJECT_NAME} ${catkin_LIBRARIES})
  endif()
endmacro()

###############################################################################
# Google Tests
###############################################################################

message_mux_dmux_add_gtest(registry)
message_mux_dmux_add_gtest(pubsub)

=== debian/changelog ===
ros-indigo-mm-mux-demux (0.2.4-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 16 Jun 2016 04:25:45 -0000

ros-indigo-mm-mux-demux (0.2.0-0trusty) trusty; urgency=high

  * nanomsg pipeline and service demo programs
  * mux/demux static api renamed to allow cross-class templatisation calls

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 16 Sep 2014 15:00:00 -0000

ros-indigo-mm-mux-demux (0.1.1-0trusty) trusty; urgency=high

  * publisher and subscriber frontends.
  * multiplexer and demultiplexer.

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 11 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-mm-mux-demux
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-ecl-build, ros-indigo-ecl-command-line, ros-indigo-ecl-containers, ros-indigo-ecl-formatters, ros-indigo-ecl-threads, ros-indigo-ecl-time, ros-indigo-ecl-utilities, ros-indigo-mm-core-msgs, ros-indigo-mm-messages, ros-indigo-nanomsg
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-mm-mux-demux
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-ecl-build, ros-indigo-ecl-command-line, ros-indigo-ecl-containers, ros-indigo-ecl-formatters, ros-indigo-ecl-threads, ros-indigo-ecl-time, ros-indigo-ecl-utilities, ros-indigo-mm-core-msgs, ros-indigo-mm-messages, ros-indigo-nanomsg
Description: Multiplexing many packet types across a single connection.
 Great for embedded connections by serial or ethernet types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-mm-mux-demux//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
